Permalink
Browse files

Check platform is valid before trying to use Conda (#479)

  • Loading branch information...
1 parent 619758e commit 8abf2760a1ad5147c78be7aee525163d12042e7a @simonbyrne simonbyrne committed with stevengj Oct 11, 2016
Showing with 4 additions and 2 deletions.
  1. +4 −2 deps/build.jl
View
@@ -31,12 +31,14 @@ for p in (haskey(ENV, "JUPYTER") ? (ENV["JUPYTER"],) : (isfile("JUPYTER") ? read
break
end
end
-if jupyter_vers < v"3.0" || dirname(jupyter) == abspath(Conda.SCRIPTDIR)
+if Sys.ARCH in (:i686, :x86_64) && (jupyter_vers < v"3.0" || dirname(jupyter) == abspath(Conda.SCRIPTDIR))
info("Installing Jupyter via the Conda package.")
Conda.add("jupyter")
jupyter = abspath(Conda.SCRIPTDIR,"jupyter")
jupyter_vers = prog_version(jupyter)
- jupyter_vers < v"3.0" && error("failed to find $jupyter 3.0 or later")
+end
+if jupyter_vers < v"3.0"
+ error("Failed to find or install Jupyter 3.0 or later. Please install manually and rerun `Pkg.build(\"IJulia\")`.")
end
info("Found Jupyter version $jupyter_vers: $jupyter")

0 comments on commit 8abf276

Please sign in to comment.